Name:          s-nail
Version:       14.9.25
Release:       1mamba
Summary:       Environment for sending and receiving mail
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.sdaoden.eu/code.html#s-nail
Source:        https://ftp.sdaoden.eu/s-nail-%{version}.tar.xz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libe2fs-devel
BuildRequires: libidn2-devel
BuildRequires: libkrb5-devel
BuildRequires: libncurses-devel
BuildRequires: libopenssl-devel
## AUTOBUILDREQ-END
Provides:      mailx
Obsoletes:     mailx <= 12.5-3mamba 

%description
Environment for sending and receiving mail.

%debug_package

%prep
%setup -q

%build
%make \
   VAL_PREFIX=%{_prefix} \
   VAL_SYSCONFDIR=%{_sysconfdir} \
   VAL_LIBEXECDIR=%{_libdir} \
   VAL_MAIL=%{_localstatedir}/mail \
   OPT_AUTOCC=no \
   OPT_DEBUG=yes \
   OPT_NOMEMDBG=yes \
   OPT_DOTLOCK=no \
   config

%make build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

# compatibility symlinks
for f in mailx nail; do	
    ln -s %{name} %{buildroot}%{_bindir}/$f	
    ln -s %{name}.1 %{buildroot}%{_mandir}/man1/$f.1
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sysconfdir}/s-nail.rc
%{_bindir}/s-nail
%{_bindir}/mailx
%{_bindir}/nail
%{_mandir}/man1/mailx.1*
%{_mandir}/man1/nail.1*
%{_mandir}/man1/s-nail.1*
%doc COPYING THANKS

%changelog
* Fri Jun 28 2024 Automatic Build System <autodist@openmamba.org> 14.9.25-1mamba
- automatic version update by autodist

* Wed Jan 17 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 14.9.24-1mamba
- package created using the webbuild interface
